Summary: Ncurses/Gtk2 based sniffer/interceptor utility
Name: ettercap-ng
Version: 0.7.3
Release: %mkrel 7
Source:  http://ettercap.sourceforge.net/download/ettercap-NG-%{version}.tar.bz2
Patch0: ettercap-NG-0.7.3-UI.patch
Patch1: ettercap-NG-0.7.3-ec_log.patch
Patch2: ettercap-NG-0.7.3-daemon-ui.patch
Patch3: ettercap-NG-0.7.3-daemon-textmode.patch
Patch4: ettercap-NG-0.7.3-mitm-loop.patch
Patch5: ettercap-NG-0.7.3-linkage.patch
License: GPL 
Group: Networking/Other
URL:        http://ettercap.sourceforge.net/
BuildRequires: openssl-devel
Buildrequires: ncurses-devel
BuildRequires: gtk+2-devel
BuildRequires: pcre-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	libtool-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	libpcap-devel
Provides: ettercap = %version-%release
# for compatibility
Provides: ettercap-NG = %version-%release
Obsoletes: ettercap < %version-%release
Obsoletes:	%mklibname %name 0
Provides:	%mklibname %name 0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ettercap is a network sniffer/interceptor/logger for ethernet 
LANs (both switched or not). It supports active and passive 
dissection of many protocols (even ciphered ones, like SSH and 
HTTPS). Data injection in an established connection and 
filtering (substitute or drop a packet) on the fly is also 
possible, keeping the connection sincronized. Many sniffing 
modes were implemented to give you a powerful and complete 
sniffing suite. Plugins are supported. It has the ability 
to check whether you are in a switched LAN or not, and to 
use OS fingerprints (active or passive) to let you know 
the geometry of the LAN. The passive scan of the lan retrives 
infos about: hosts in the lan, open ports, services version, 
type of the host (gateway, router or simple host) and 
extimated distance in hop.

%prep

%setup -q -n ettercap-NG-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0 -b .link

%build
%configure2_5x \
	--disable-debug \
	--with-openssl=%{_prefix} \
	--enable-gtk \
	--without-included-ltdl \
	--disable-ltdl-install \
	--enable-plugins
%make
%make plug-ins

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -fr $RPM_BUILD_ROOT/%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG INSTALL LICENSE README* THANKS TODO TODO.TESTING doc/*
%config(noreplace) %_sysconfdir/etter.conf
%{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/ettercap
%{_libexecdir}/ettercap


%changelog
* Thu Jun 04 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.3-7mdv2010.0
+ Revision: 382717
- rebuilt against libnet 1.1.3

* Mon Feb 02 2009 Funda Wang <fundawang@mandriva.org> 0.7.3-6mdv2009.1
+ Revision: 336422
- fix linkage

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.3-5mdv2009.1
+ Revision: 298542
- sync with ettercap-0.7.3-26.fc10.src.rpm
- use _disable_ld_as_needed and _disable_ld_no_undefined due
  to old and ugly autopoo
- rebuilt against libpcap-1.0.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-2mdv2008.1
+ Revision: 170821
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.3-1mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/05/06 15:59:49 (53322)
- 0.7.3

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/05/06 15:52:05 (53317)
Import ettercap-ng

* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-7mdk
- rebuilt against libnet1.1.2

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-6mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sun Jun 26 2005 Pascal Terjan <pterjan@mandriva.org> 0.7.0-5mdk
- The new libnet(>= 1.1.2.1) is needed to build

* Wed Nov 24 2004 Abel Cheung <deaddog@mandrake.org> 0.7.0-4mdk
- Yet another BuildRequires fix

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 0.7.0-3mdk
- Fix BuildRequires
- No library exist, merge everything back to one package

* Tue Aug 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.0-2mdk 
- s/conflicts/obsoletes/ ettercap

* Tue Jul 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.0-1mdk
- 0.7.0 final

* Mon Apr 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.0-0.pre1.1mdk
- ettercap NG from ettercap, new version 0.7.0_pre1

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.b-2mdk
- fix dep

